# Convert levels from svg into simpler format.
$filename = $ARGV[0];
open F, "<$filename" or die;
$polys = 0;
$polytext = '';
while ($line = <F>) {
	if ($line =~ /path d=\"(.*?)\"/) {
		$stuff = $1;
		# print "$stuff\n";
		@bits = split(/ +/,$stuff);
		$i=0;
		$points = 0;
		$coords = '';
		$finished = 0;
		@xco = ();
		@yco = ();
		do {
			$junk = $bits[$i++];
			$x = $bits[$i++];
			$y = $bits[$i++];
			$i += 4; # Ignore bezier stuff
			if ($x) {
				$xco[$points] = int($x);
				$yco[$points] = int($y);
				$points++;
			} else {
				$finished = 1;
			}
		} while ($i < $#bits);
		if ($points > 3) {
			$polys ++;
			# Remove one point because it's a repeat.
			$points --;
			$polytext = $polytext . "$points ";
			for ($i=0; $i<$points; $i++) {
				$polytext = $polytext . "$xco[$i] $yco[$i] ";
			}
			$polytext = $polytext . "\n";
		}
	}
}
close F;
print "$polys\n";
print $polytext;