enum EnemyType {
	BlueStaticJelly = 1,
	OrangeJelly = 2,
	YellowJelly = 3,
	GreenJelly = 4
};

class Enemy: public CollidesWithScenery {
	public:
		Enemy(EnemyType newtype);
		virtual ~Enemy();
		float hp;
		BITMAP * sprite;
		Enemy(); // Default constructor.
		virtual void draw();
		virtual void tick(float quantum);
		virtual void save(ostream &out);
		virtual void takehit(float strength);
		virtual void collidewithother(CollidesWithScenery * other, float strength);
		EnemyType type;
	private:
		float thinktime;
		bool started;
		Point targetpos;
		Point targetvelocity;
		float maxspeed;
		float maxaccel;
		void think();
		int colour;
		int ammo;
		int maxammo;
		float firetime; // Time until we can fire
		float maxfiretime, maxreloadtime;
		void fire();
};

