#!/bin/sh -x
TARGET=data.dat
REAL_BPP=16
rm -f $TARGET
# gfx
for name in artwork/trans/*.png; do
	shortname=`basename $name .png`
	echo $name $shortname
	# convert $name artwork/trans/$shortname.tga
	dat -bpp 32 -type BMP $TARGET -a artwork/trans/$shortname.tga
done

dat -bpp $REAL_BPP -type BMP $TARGET -a artwork/*.tga
# logo
#dat -bpp 24 -type BMP $TARGET -a artwork/logo1.tga
# Fonts
#dat -p PAL -type PAL $TARGET -a fonts/mono16.pcx
#dat -p PAL -type PAL $TARGET -a fonts/slicker16.pcx
# Rename the SLICKER16_PCX to FONTPAL
#dat -u NAME=FONTPAL $TARGET SLICKER16_PCX
dat -bpp $REAL_BPP -type FONT $TARGET -a fonts/*pcx
dat -type SAMP -a $TARGET sounds/*wav
# Make the .h, compress etc
dat -c2 $TARGET -h data.h 
